diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/common.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/common.py
index a1e1db5f12..63effe882e 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/common.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/common.py
@@ -2,7 +2,6 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
-from __future__ import with_statement
 
 import collections
 import errno
@@ -15,7 +14,7 @@ import sys
 
 # A minimal memoizing decorator. It'll blow up if the args aren't immutable,
 # among other "problems".
-class memoize(object):
+class memoize:
   def __init__(self, func):
     self.func = func
     self.cache = {}
@@ -336,7 +335,7 @@ def WriteOnDiff(filename):
     the target if it differs (on close).
   """
 
-  class Writer(object):
+  class Writer:
     """Wrapper around file which only covers the target if it differs."""
     def __init__(self):
       # Pick temporary file.
@@ -363,7 +362,7 @@ def WriteOnDiff(filename):
         same = False
         try:
           same = filecmp.cmp(self.tmp_path, filename, False)
-        except OSError, e:
+        except OSError as e:
           if e.errno != errno.ENOENT:
             raise
 
@@ -382,9 +381,9 @@ def WriteOnDiff(filename):
           #
           # No way to get the umask without setting a new one?  Set a safe one
           # and then set it back to the old value.
-          umask = os.umask(077)
+          umask = os.umask(0o77)
           os.umask(umask)
-          os.chmod(self.tmp_path, 0666 & ~umask)
+          os.chmod(self.tmp_path, 0o666 & ~umask)
           if sys.platform == 'win32' and os.path.exists(filename):
             # NOTE: on windows (but not cygwin) rename will not replace an
             # existing file, so it must be preceded with a remove. Sadly there
@@ -467,7 +466,7 @@ def CopyTool(flavor, out_path, generator_flags={}):
         ''.join([source[0], header] + source[1:]))
 
   # Make file executable.
-  os.chmod(tool_path, 0755)
+  os.chmod(tool_path, 0o755)
 
 
 # From Alex Martelli,
@@ -490,7 +489,7 @@ def uniquer(seq, idfun=None):
 
 
 # Based on http://code.activestate.com/recipes/576694/.
-class OrderedSet(collections.MutableSet):
+class OrderedSet(collections.abc.MutableSet):
   def __init__(self, iterable=None):
     self.end = end = []
     end += [None, end, end]         # sentinel node for doubly linked list
@@ -540,8 +539,8 @@ class OrderedSet(collections.MutableSet):
 
   def __repr__(self):
     if not self:
-      return '%s()' % (self.__class__.__name__,)
-    return '%s(%r)' % (self.__class__.__name__, list(self))
+      return '{}()'.format(self.__class__.__name__)
+    return '{}({!r})'.format(self.__class__.__name__, list(self))
 
   def __eq__(self, other):
     if isinstance(other, OrderedSet):
@@ -580,7 +579,7 @@ def TopologicallySorted(graph, get_edges):
     graph = {'a': '$(b) $(c)', 'b': 'hi', 'c': '$(b)'}
     def GetEdges(node):
       return re.findall(r'\$\(([^))]\)', graph[node])
-    print TopologicallySorted(graph.keys(), GetEdges)
+    print(TopologicallySorted(graph.keys(), GetEdges))
     ==>
     ['a', 'c', b']
   """
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/common_test.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/common_test.py
index ad6f9a1438..a009f32389 100755
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/common_test.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/common_test.py
@@ -23,7 +23,7 @@ class TestTopologicallySorted(unittest.TestCase):
     def GetEdge(node):
       return tuple(graph[node])
     self.assertEqual(
-      gyp.common.TopologicallySorted(graph.keys(), GetEdge),
+      gyp.common.TopologicallySorted(list(graph.keys()), GetEdge),
       ['a', 'c', 'd', 'b'])
 
   def test_Cycle(self):
@@ -38,7 +38,7 @@ class TestTopologicallySorted(unittest.TestCase):
       return tuple(graph[node])
     self.assertRaises(
       gyp.common.CycleError, gyp.common.TopologicallySorted,
-      graph.keys(), GetEdge)
+      list(graph.keys()), GetEdge)
 
 
 class TestGetFlavor(unittest.TestCase):
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/easy_xml.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/easy_xml.py
index bf949b6ac9..6f396f6b9f 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/easy_xml.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/easy_xml.py
@@ -4,6 +4,7 @@
 
 import re
 import os
+from functools import reduce
 
 
 def XmlToString(content, encoding='utf-8', pretty=False):
@@ -79,8 +80,8 @@ def _ConstructContentList(xml_parts, specification, pretty, level=0):
   # Optionally in second position is a dictionary of the attributes.
   rest = specification[1:]
   if rest and isinstance(rest[0], dict):
-    for at, val in sorted(rest[0].iteritems()):
-      xml_parts.append(' %s="%s"' % (at, _XmlEscape(val, attr=True)))
+    for at, val in sorted(rest[0].items()):
+      xml_parts.append(' {}="{}"'.format(at, _XmlEscape(val, attr=True)))
     rest = rest[1:]
   if rest:
     xml_parts.append('>')
@@ -97,7 +98,7 @@ def _ConstructContentList(xml_parts, specification, pretty, level=0):
         _ConstructContentList(xml_parts, child_spec, pretty, level + 1)
     if multi_line and indentation:
       xml_parts.append(indentation)
-    xml_parts.append('</%s>%s' % (name, new_line))
+    xml_parts.append('</{}>{}'.format(name, new_line))
   else:
     xml_parts.append('/>%s' % new_line)
 
@@ -118,7 +119,7 @@ def WriteXmlIfChanged(content, path, encoding='utf-8', pretty=False,
 
   # Get the old content
   try:
-    f = open(path, 'r')
+    f = open(path)
     existing = f.read()
     f.close()
   except:
@@ -143,7 +144,7 @@ _xml_escape_map = {
 
 
 _xml_escape_re = re.compile(
-    "(%s)" % "|".join(map(re.escape, _xml_escape_map.keys())))
+    "(%s)" % "|".join(map(re.escape, list(_xml_escape_map.keys()))))
 
 
 def _XmlEscape(value, attr=False):
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/flock_tool.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/flock_tool.py
index b38d8660f7..0cccb49c69 100755
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/flock_tool.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/flock_tool.py
@@ -18,7 +18,7 @@ def main(args):
   executor.Dispatch(args)
 
 
-class FlockTool(object):
+class FlockTool:
   """This class emulates the 'flock' command."""
   def Dispatch(self, args):
     """Dispatches a string command to a method."""
@@ -39,7 +39,7 @@ class FlockTool(object):
     # where fcntl.flock(fd, LOCK_EX) always fails
     # with EBADF, that's why we use this F_SETLK
     # hack instead.
-    fd = os.open(lockfile, os.O_WRONLY|os.O_NOCTTY|os.O_CREAT, 0666)
+    fd = os.open(lockfile, os.O_WRONLY|os.O_NOCTTY|os.O_CREAT, 0o666)
     if sys.platform.startswith('aix'):
       # Python on AIX is compiled with LARGEFILE support, which changes the
       # struct size.
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/analyzer.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/analyzer.py
index 921c1a6b71..5922b9a834 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/analyzer.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/analyzer.py
@@ -68,6 +68,7 @@ import json
 import os
 import posixpath
 import sys
+import six
 
 debug = False
 
@@ -155,7 +156,7 @@ def _AddSources(sources, base_path, base_path_components, result):
       continue
     result.append(base_path + source)
     if debug:
-      print 'AddSource', org_source, result[len(result) - 1]
+      print('AddSource', org_source, result[len(result) - 1])
 
 
 def _ExtractSourcesFromAction(action, base_path, base_path_components,
@@ -185,7 +186,7 @@ def _ExtractSources(target, target_dict, toplevel_dir):
     base_path += '/'
 
   if debug:
-    print 'ExtractSources', target, base_path
+    print('ExtractSources', target, base_path)
 
   results = []
   if 'sources' in target_dict:
@@ -204,7 +205,7 @@ def _ExtractSources(target, target_dict, toplevel_dir):
   return results
 
 
-class Target(object):
+class Target:
   """Holds information about a particular target:
   deps: set of Targets this Target depends upon. This is not recursive, only the
     direct dependent Targets.
@@ -239,7 +240,7 @@ class Target(object):
     self.is_or_has_linked_ancestor = False
 
 
-class Config(object):
+class Config:
   """Details what we're looking for
   files: set of files to search for
   targets: see file description for details."""
@@ -257,10 +258,10 @@ class Config(object):
     if not config_path:
       return
     try:
-      f = open(config_path, 'r')
+      f = open(config_path)
       config = json.load(f)
       f.close()
-    except IOError:
+    except OSError:
       raise Exception('Unable to open file ' + config_path)
     except ValueError as e:
       raise Exception('Unable to parse config file ' + config_path + str(e))
@@ -278,7 +279,7 @@ def _WasBuildFileModified(build_file, data, files, toplevel_dir):
   the root of the source tree."""
   if _ToLocalPath(toplevel_dir, _ToGypPath(build_file)) in files:
     if debug:
-      print 'gyp file modified', build_file
+      print('gyp file modified', build_file)
     return True
 
   # First element of included_files is the file itself.
@@ -291,8 +292,8 @@ def _WasBuildFileModified(build_file, data, files, toplevel_dir):
         _ToGypPath(gyp.common.UnrelativePath(include_file, build_file))
     if _ToLocalPath(toplevel_dir, rel_include_file) in files:
       if debug:
-        print 'included gyp file modified, gyp_file=', build_file, \
-            'included file=', rel_include_file
+        print('included gyp file modified, gyp_file=', build_file, \
+            'included file=', rel_include_file)
       return True
   return False
 
@@ -373,7 +374,7 @@ def _GenerateTargets(data, target_list, target_dicts, toplevel_dir, files,
     # If a build file (or any of its included files) is modified we assume all
     # targets in the file are modified.
     if build_file_in_files[build_file]:
-      print 'matching target from modified build file', target_name
+      print('matching target from modified build file', target_name)
       target.match_status = MATCH_STATUS_MATCHES
       matching_targets.append(target)
     else:
@@ -381,7 +382,7 @@ def _GenerateTargets(data, target_list, target_dicts, toplevel_dir, files,
                                 toplevel_dir)
       for source in sources:
         if _ToGypPath(os.path.normpath(source)) in files:
-          print 'target', target_name, 'matches', source
+          print('target', target_name, 'matches', source)
           target.match_status = MATCH_STATUS_MATCHES
           matching_targets.append(target)
           break
@@ -433,7 +434,7 @@ def _DoesTargetDependOnMatchingTargets(target):
   for dep in target.deps:
     if _DoesTargetDependOnMatchingTargets(dep):
       target.match_status = MATCH_STATUS_MATCHES_BY_DEPENDENCY
-      print '\t', target.name, 'matches by dep', dep.name
+      print('\t', target.name, 'matches by dep', dep.name)
       return True
   target.match_status = MATCH_STATUS_DOESNT_MATCH
   return False
@@ -445,7 +446,7 @@ def _GetTargetsDependingOnMatchingTargets(possible_targets):
   supplied as input to analyzer.
   possible_targets: targets to search from."""
   found = []
-  print 'Targets that matched by dependency:'
+  print('Targets that matched by dependency:')
   for target in possible_targets:
     if _DoesTargetDependOnMatchingTargets(target):
       found.append(target)
@@ -484,12 +485,12 @@ def _AddCompileTargets(target, roots, add_if_no_ancestor, result):
           (add_if_no_ancestor or target.requires_build)) or
          (target.is_static_library and add_if_no_ancestor and
           not target.is_or_has_linked_ancestor)):
-    print '\t\tadding to compile targets', target.name, 'executable', \
+    print('\t\tadding to compile targets', target.name, 'executable', \
            target.is_executable, 'added_to_compile_targets', \
            target.added_to_compile_targets, 'add_if_no_ancestor', \
            add_if_no_ancestor, 'requires_build', target.requires_build, \
            'is_static_library', target.is_static_library, \
-           'is_or_has_linked_ancestor', target.is_or_has_linked_ancestor
+           'is_or_has_linked_ancestor', target.is_or_has_linked_ancestor)
     result.add(target)
     target.added_to_compile_targets = True
 
@@ -500,7 +501,7 @@ def _GetCompileTargets(matching_targets, supplied_targets):
   supplied_targets: set of targets supplied to analyzer to search from."""
   result = set()
   for target in matching_targets:
-    print 'finding compile targets for match', target.name
+    print('finding compile targets for match', target.name)
     _AddCompileTargets(target, supplied_targets, True, result)
   return result
 
@@ -508,46 +509,46 @@ def _GetCompileTargets(matching_targets, supplied_targets):
 def _WriteOutput(params, **values):
   """Writes the output, either to stdout or a file is specified."""
   if 'error' in values:
-    print 'Error:', values['error']
+    print('Error:', values['error'])
   if 'status' in values:
-    print values['status']
+    print(values['status'])
   if 'targets' in values:
     values['targets'].sort()
-    print 'Supplied targets that depend on changed files:'
+    print('Supplied targets that depend on changed files:')
     for target in values['targets']:
-      print '\t', target
+      print('\t', target)
   if 'invalid_targets' in values:
     values['invalid_targets'].sort()
-    print 'The following targets were not found:'
+    print('The following targets were not found:')
     for target in values['invalid_targets']:
-      print '\t', target
+      print('\t', target)
   if 'build_targets' in values:
     values['build_targets'].sort()
-    print 'Targets that require a build:'
+    print('Targets that require a build:')
     for target in values['build_targets']:
-      print '\t', target
+      print('\t', target)
   if 'compile_targets' in values:
     values['compile_targets'].sort()
-    print 'Targets that need to be built:'
+    print('Targets that need to be built:')
     for target in values['compile_targets']:
-      print '\t', target
+      print('\t', target)
   if 'test_targets' in values:
     values['test_targets'].sort()
-    print 'Test targets:'
+    print('Test targets:')
     for target in values['test_targets']:
-      print '\t', target
+      print('\t', target)
 
   output_path = params.get('generator_flags', {}).get(
       'analyzer_output_path', None)
   if not output_path:
-    print json.dumps(values)
+    print(json.dumps(values))
     return
   try:
     f = open(output_path, 'w')
     f.write(json.dumps(values) + '\n')
     f.close()
-  except IOError as e:
-    print 'Error writing to output file', output_path, str(e)
+  except OSError as e:
+    print('Error writing to output file', output_path, str(e))
 
 
 def _WasGypIncludeFileModified(params, files):
@@ -556,7 +557,7 @@ def _WasGypIncludeFileModified(params, files):
   if params['options'].includes:
     for include in params['options'].includes:
       if _ToGypPath(os.path.normpath(include)) in files:
-        print 'Include file modified, assuming all changed', include
+        print('Include file modified, assuming all changed', include)
         return True
   return False
 
@@ -595,7 +596,7 @@ def CalculateVariables(default_variables, params):
     default_variables.setdefault('OS', operating_system)
 
 
-class TargetCalculator(object):
+class TargetCalculator:
   """Calculates the matching test_targets and matching compile_targets."""
   def __init__(self, files, additional_compile_target_names, test_target_names,
                data, target_list, target_dicts, toplevel_dir, build_files):
@@ -638,13 +639,13 @@ class TargetCalculator(object):
                                   set(self._root_targets))]
     else:
       test_targets = [x for x in test_targets_no_all]
-    print 'supplied test_targets'
+    print('supplied test_targets')
     for target_name in self._test_target_names:
-      print '\t', target_name
-    print 'found test_targets'
+      print('\t', target_name)
+    print('found test_targets')
     for target in test_targets:
-      print '\t', target.name
-    print 'searching for matching test targets'
+      print('\t', target.name)
+    print('searching for matching test targets')
     matching_test_targets = _GetTargetsDependingOnMatchingTargets(test_targets)
     matching_test_targets_contains_all = (test_target_names_contains_all and
                                           set(matching_test_targets) &
@@ -654,14 +655,14 @@ class TargetCalculator(object):
       # 'all' is subsequentely added to the matching names below.
       matching_test_targets = [x for x in (set(matching_test_targets) &
                                            set(test_targets_no_all))]
-    print 'matched test_targets'
+    print('matched test_targets')
     for target in matching_test_targets:
-      print '\t', target.name
+      print('\t', target.name)
     matching_target_names = [gyp.common.ParseQualifiedTarget(target.name)[1]
                              for target in matching_test_targets]
     if matching_test_targets_contains_all:
       matching_target_names.append('all')
-      print '\tall'
+      print('\tall')
     return matching_target_names
 
   def find_matching_compile_target_names(self):
@@ -669,7 +670,7 @@ class TargetCalculator(object):
     assert self.is_build_impacted();
     # Compile targets are found by searching up from changed targets.
     # Reset the visited status for _GetBuildTargets.
-    for target in self._name_to_target.itervalues():
+    for target in self._name_to_target.values():
       target.visited = False
 
     supplied_targets = _LookupTargets(self._supplied_target_names_no_all(),
@@ -677,10 +678,10 @@ class TargetCalculator(object):
     if 'all' in self._supplied_target_names():
       supplied_targets = [x for x in (set(supplied_targets) |
                                       set(self._root_targets))]
-    print 'Supplied test_targets & compile_targets'
+    print('Supplied test_targets & compile_targets')
     for target in supplied_targets:
-      print '\t', target.name
-    print 'Finding compile targets'
+      print('\t', target.name)
+    print('Finding compile targets')
     compile_targets = _GetCompileTargets(self._changed_targets,
                                          supplied_targets)
     return [gyp.common.ParseQualifiedTarget(target.name)[1]
@@ -699,7 +700,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
 
     toplevel_dir = _ToGypPath(os.path.abspath(params['options'].toplevel_dir))
     if debug:
-      print 'toplevel_dir', toplevel_dir
+      print('toplevel_dir', toplevel_dir)
 
     if _WasGypIncludeFileModified(params, config.files):
       result_dict = { 'status': all_changed_string,
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/cmake.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/cmake.py
index a2b96291aa..351a30da70 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/cmake.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/cmake.py
@@ -214,7 +214,7 @@ def WriteVariable(output, variable_name, prepend=None):
   output.write('}')
 
 
-class CMakeTargetType(object):
+class CMakeTargetType:
   def __init__(self, command, modifier, property_modifier):
     self.command = command
     self.modifier = modifier
@@ -255,7 +255,7 @@ def WriteActions(target_name, actions, extra_sources, extra_deps,
   """
   for action in actions:
     action_name = StringToCMakeTargetName(action['action_name'])
-    action_target_name = '%s__%s' % (target_name, action_name)
+    action_target_name = '{}__{}'.format(target_name, action_name)
 
     inputs = action['inputs']
     inputs_name = action_target_name + '__input'
@@ -270,10 +270,10 @@ def WriteActions(target_name, actions, extra_sources, extra_deps,
 
     # Build up a list of outputs.
     # Collect the output dirs we'll need.
-    dirs = set(dir for dir in (os.path.dirname(o) for o in outputs) if dir)
+    dirs = {dir for dir in (os.path.dirname(o) for o in outputs) if dir}
 
     if int(action.get('process_outputs_as_sources', False)):
-      extra_sources.extend(zip(cmake_outputs, outputs))
+      extra_sources.extend(list(zip(cmake_outputs, outputs)))
 
     # add_custom_command
     output.write('add_custom_command(OUTPUT ')
@@ -363,7 +363,7 @@ def WriteRules(target_name, rules, extra_sources, extra_deps,
 
       # Build up a list of outputs.
       # Collect the output dirs we'll need.
-      dirs = set(dir for dir in (os.path.dirname(o) for o in outputs) if dir)
+      dirs = {dir for dir in (os.path.dirname(o) for o in outputs) if dir}
 
       # Create variables for the output, as 'local' variable will be unset.
       these_outputs = []
@@ -462,7 +462,7 @@ def WriteCopies(target_name, copies, extra_deps, path_to_gyp, output):
     extra_deps.append(copy_name)
     return
 
-  class Copy(object):
+  class Copy:
     def __init__(self, ext, command):
       self.cmake_inputs = []
       self.cmake_outputs = []
@@ -569,7 +569,7 @@ def CreateCMakeTargetFullName(qualified_target):
   return StringToCMakeTargetName(cmake_target_full_name)
 
 
-class CMakeNamer(object):
+class CMakeNamer:
   """Converts Gyp target names into CMake target names.
 
   CMake requires that target names be globally unique. One way to ensure
@@ -644,7 +644,7 @@ def WriteTarget(namer, qualified_target, target_dicts, build_dir, config_to_use,
 
   cmake_target_type = cmake_target_type_from_gyp_target_type.get(target_type)
   if cmake_target_type is None:
-    print ('Target %s has unknown target type %s, skipping.' %
+    print('Target %s has unknown target type %s, skipping.' %
           (        target_name,               target_type  ) )
     return
 
@@ -868,8 +868,8 @@ def WriteTarget(namer, qualified_target, target_dicts, build_dir, config_to_use,
       default_product_ext = generator_default_variables['SHARED_LIB_SUFFIX']
 
     elif target_type != 'executable':
-      print ('ERROR: What output file should be generated?',
-              'type', target_type, 'target', target_name)
+      print(('ERROR: What output file should be generated?',
+              'type', target_type, 'target', target_name))
 
     product_prefix = spec.get('product_prefix', default_product_prefix)
     product_name = spec.get('product_name', default_product_name)
@@ -979,7 +979,7 @@ def WriteTarget(namer, qualified_target, target_dicts, build_dir, config_to_use,
 
     # XCode settings
     xcode_settings = config.get('xcode_settings', {})
-    for xcode_setting, xcode_value in xcode_settings.viewitems():
+    for xcode_setting, xcode_value in xcode_settings.items():
       SetTargetProperty(output, cmake_target_name,
                         "XCODE_ATTRIBUTE_%s" % xcode_setting, xcode_value,
                         '' if isinstance(xcode_value, str) else ' ')
@@ -1207,11 +1207,11 @@ def PerformBuild(data, configurations, params):
                                               output_dir,
                                               config_name))
     arguments = ['cmake', '-G', 'Ninja']
-    print 'Generating [%s]: %s' % (config_name, arguments)
+    print('Generating [{}]: {}'.format(config_name, arguments))
     subprocess.check_call(arguments, cwd=build_dir)
 
     arguments = ['ninja', '-C', build_dir]
-    print 'Building [%s]: %s' % (config_name, arguments)
+    print('Building [{}]: {}'.format(config_name, arguments))
     subprocess.check_call(arguments)
 
 
@@ -1230,7 +1230,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
     GenerateOutputForConfig(target_list, target_dicts, data,
                             params, user_config)
   else:
-    config_names = target_dicts[target_list[0]]['configurations'].keys()
+    config_names = list(target_dicts[target_list[0]]['configurations'].keys())
     if params['parallel']:
       try:
         pool = multiprocessing.Pool(len(config_names))
@@ -1239,7 +1239,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
           arglists.append((target_list, target_dicts, data,
                            params, config_name))
           pool.map(CallGenerateOutputForConfig, arglists)
-      except KeyboardInterrupt, e:
+      except KeyboardInterrupt as e:
         pool.terminate()
         raise e
     else:
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/dump_dependency_json.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/dump_dependency_json.py
index 160eafe2ef..719b6c1e54 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/dump_dependency_json.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/dump_dependency_json.py
@@ -96,4 +96,4 @@ def GenerateOutput(target_list, target_dicts, data, params):
   f = open(filename, 'w')
   json.dump(edges, f)
   f.close()
-  print 'Wrote json to %s.' % filename
+  print('Wrote json to %s.' % filename)
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/eclipse.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/eclipse.py
index 3544347b3b..a226c19fc5 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/eclipse.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/eclipse.py
@@ -24,7 +24,7 @@ import gyp
 import gyp.common
 import gyp.msvs_emulation
 import shlex
-import xml.etree.cElementTree as ET
+import xml.etree.ElementTree as ET
 
 generator_wants_static_library_dependencies_adjusted = False
 
@@ -141,7 +141,7 @@ def GetAllIncludeDirectories(target_list, target_dicts,
             compiler_includes_list.append(include_dir)
 
       # Find standard gyp include dirs.
-      if config.has_key('include_dirs'):
+      if 'include_dirs' in config:
         include_dirs = config['include_dirs']
         for shared_intermediate_dir in shared_intermediate_dirs:
           for include_dir in include_dirs:
@@ -272,7 +272,7 @@ def WriteMacros(out, eclipse_langs, defines):
   out.write('    <language name="holder for library settings"></language>\n')
   for lang in eclipse_langs:
     out.write('    <language name="%s">\n' % lang)
-    for key in sorted(defines.iterkeys()):
+    for key in sorted(defines.keys()):
       out.write('      <macro><name>%s</name><value>%s</value></macro>\n' %
                 (escape(key), escape(defines[key])))
     out.write('    </language>\n')
@@ -418,7 +418,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
     GenerateOutputForConfig(target_list, target_dicts, data, params,
                             user_config)
   else:
-    config_names = target_dicts[target_list[0]]['configurations'].keys()
+    config_names = list(target_dicts[target_list[0]]['configurations'].keys())
     for config_name in config_names:
       GenerateOutputForConfig(target_list, target_dicts, data, params,
                               config_name)
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/gypd.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/gypd.py
index 3efdb9966a..78eeaa61b2 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/gypd.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/gypd.py
@@ -88,7 +88,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
     if not output_file in output_files:
       output_files[output_file] = input_file
 
-  for output_file, input_file in output_files.iteritems():
+  for output_file, input_file in output_files.items():
     output = open(output_file, 'w')
     pprint.pprint(data[input_file], output)
     output.close()
